NameVirtualHost *

FastCgiServer /home/raj/www/apps/HMDS/trunk/script/lims.fcgi -processes 2
FastCgiExternalServer /tmp/lims_fastcgi -socket /tmp/hilis4.socket

<VirtualHost *>
	ServerAdmin webmaster@localhost

    DocumentRoot /home/raj/www/apps/HMDS/trunk/static
    
	# FastCgiServer:
	Alias /lims   /home/raj/www/apps/HMDS/trunk/script/lims.fcgi
	# FastCgiExternalServer:
	Alias /hilis4 /tmp/lims_fastcgi

	<Directory />
		Options FollowSymLinks
		AllowOverride None
	</Directory>

	<Directory /home/raj/www/apps/HMDS/trunk/static>
		Options Indexes FollowSymLinks MultiViews
		AllowOverride None
		Order allow,deny
		allow from all
		# This directive allows us to have apache2's default start page
                # in /apache2-default/, but still have / go to the right place
                #RedirectMatch ^/$ /apache2-default/
	</Directory>

	Alias /script  /home/raj/www/apps/HMDS/trunk/script/
	<Directory /home/raj/www/apps/HMDS/trunk/script>
		AddHandler cgi-script .cgi
		# for spellchecker:
		AddHandler cgi-script .pl
		Options +ExecCGI
	</Directory>

	ScriptAlias /cgi-bin/ /home/raj/www/cgi-bin/
	<Directory "/home/raj/www/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Order allow,deny
		Allow from all
	</Directory>

	ErrorLog /var/log/apache2/error.log

	# Possible values include: debug, info, notice, warn, error, crit,
	# alert, emerg.
	LogLevel warn

	CustomLog /var/log/apache2/access.log combined
	ServerSignature On

    Alias /doc/ "/usr/share/doc/"

    <Directory "/usr/share/doc/">
        Options Indexes MultiViews FollowSymLinks
        AllowOverride None
        Order deny,allow
        Deny from all
        Allow from 127.0.0.0/255.0.0.0 ::1/128
    </Directory>

    <Directory /home/raj/www/htdocs/ssi>
      Options +ExecCGI
      SetHandler cgi-script
    </Directory> 
</VirtualHost>
